[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TaskDlgEmulation' (#lcl)

# IconMessage

Gets the title displayed on the task dialog for the specified main icon.

## Declaration

Source position: taskdlgemulation.pp line 188

`function IconMessage(`
`Icon: TTaskDialogIcon`
`):string;`

## Arguments

`Icon` |  | Specifies the icon used to identify the translated message in the return value.

## Function result

Translated message content for the specified icon.

## Description

IconMessage is a String function used to get the title displayed on an emulated task dialog for the specified icon. It is used in the implementation of TLCLTaskDialog to retrieve the title on the emulated task dialog when the value has not already been assigned. The return value contains the translated resource string associated with the index value in the Icon argument. For example:

tiWarning
  Returns rsMtWarning.
tiQuestion
  Returns rsMtConfirmation.
tiError
  Returns rsMtError.
tiInformation, tiShield
  Returns rsMtInformation.
Other values
  Returns an empty string ('').

## See also

TLCLTaskDialog |  | Implements an emulated (non-native) task dialog form.
TTaskDialogIcon |  | Identifier for an icon displayed on a Task dialog.